.TH debugger 3 "debugger  3.2" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
debugger \- Erlang Debugger
.SH DESCRIPTION
.LP
Erlang Debugger for debugging and testing of Erlang programs\&.

.SH EXPORTS
.LP
.B
start()
.br
.B
start(File)
.br
.B
start(Mode)
.br
.B
start(Mode, File)
.br
.RS
.TP
Types
Mode = local | global
.br
File = string()
.br
.RE
.RS
.LP
Starts Debugger\&.
.LP
If given a file name as argument, Debugger will try to load its settings from this file\&. Refer to Debugger User\&'s Guide for more information about settings\&.
.LP
If given \fIlocal\fR as argument, Debugger will interpret code only at the current node\&. If given \fIglobal\fR as argument, Debugger will interpret code at all known nodes, this is the default\&.
.RE
.LP
.B
quick(Module, Name, Args)
.br
.RS
.TP
Types
Module = Name = atom()
.br
Args = [term()]
.br
.RE
.RS
.LP
This function can be used to debug a single process\&. The module \fIModule\fR is interpreted and \fIapply(Module, Name, Args)\fR is called\&. This will open an Attach Process window, refer to Debugger User\&'s Guide for more information\&.
.RE
